Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.serviceui
Class UIWindowFactory

    java.lang.Object
      org.jini.rio.resources.serviceui.UIWindowFactory

All Implemented Interfaces:
  Serializable, net.jini.lookup.ui.factory.JWindowFactory

    public class UIWindowFactory

extends Object
implements net.jini.lookup.ui.factory.JWindowFactory, Serializable

The UIWindowFactory class is a helper for use with the ServiceUI

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.jini.lookup.ui.factory.JWindowFactory
`TOOLKIT, TYPE_NAME`

Constructor Summary
`UIWindowFactory(URL[] exportURL, String className)`
`UIWindowFactory(URL exportUrl, String className)`

Method Summary
`JWindow` | `getJWindow(Object roleObject)`
`JWindow` | `getJWindow(Object roleObject, Frame parent)`
`JWindow` | `getJWindow(Object roleObject, Window parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIWindowFactory

    public UIWindowFactory(URL exportUrl,
                           String className)

### UIWindowFactory

    public UIWindowFactory(URL[] exportURL,
                           String className)

Method Detail

### getJWindow

    public JWindow getJWindow(Object roleObject,
                              Frame parent)

  Specified by:
    `getJWindow` in interface `net.jini.lookup.ui.factory.JWindowFactory`

### getJWindow

    public JWindow getJWindow(Object roleObject,
                              Window parent)

  Specified by:
    `getJWindow` in interface `net.jini.lookup.ui.factory.JWindowFactory`

### getJWindow

    public JWindow getJWindow(Object roleObject)

  Specified by:
    `getJWindow` in interface `net.jini.lookup.ui.factory.JWindowFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.